#!/bin/sh
#SBATCH -J avy
#SBATCH -c 32
#SBATCH -a 1-324
#SBATCH -o /dev/null
#SBATCH -e /dev/null
id=$SLURM_ARRAY_TASK_ID
path="`awk '$1 == "'$id'"{print $2}' benchmarks`"
file="`echo $path|sed -e 's,.*/,,'`"
name="`echo $file|sed -e 's,\.[^\.]*$,,'`"
exec 1>"$name".log 2>"$name".err
echo "c array.sh: run:      /home/biere/hwmcc20/modelcheckers/avy/run.sh"
echo "c array.sh: path:     $path"
echo "c array.sh: name:     $name"
echo "c array.sh: file:     $file"
echo "c array.sh: task:     $SLURM_ARRAY_TASK_ID"
echo "c array.sh: host:     `hostname`"
echo "c array.sh: uname:    `uname -a`"
echo "c array.sh: start:    `date`"
echo "c array.sh: noturbo:  `show-turbo-mode-disabled.sh`"
echo "c array.sh: governor: `show-scaling-governors.sh |awk '{print $NF}'|sort|uniq -c|sed -e 's,^ *,,'`"
echo "c array.sh: tmp:      `df -m /tmp/|tail -1|awk '{print $(NF-1)}'`"
tmp=/tmp/tmp-avy-$name-$id
rm -rf $tmp
killjobs () {
  killall avy abcpdr avypdr
}
cleanup () {
  killjobs
  cd /tmp/
  rm -rf $tmp
  rm -rf /tmp/*avy-*
}
killjobs
trap "cleanup" 2 3 9 15
mkdir $tmp || exit 1
/home/biere/hwmcc20/bin/aigunconstraint $path $tmp/$file
dir=`pwd`
cd $tmp
/home/biere/hwmcc20/bin/runlim \
  --real-time-limit=3600 \
  --space-limit=122880 \
  /home/biere/hwmcc20/modelcheckers/avy/run.sh \
  $file
cleanup
echo "c array.sh: end:      `date`"
